Index: /gsdl/trunk/perllib/plugins/DatabasePlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/DatabasePlugin.pm	(revision 17743)
+++ /gsdl/trunk/perllib/plugins/DatabasePlugin.pm	(revision 17744)
@@ -54,5 +54,5 @@
 
 my $options = { 'name'     => "DatabasePlugin",
-		'desc'     => "{DBPlugin.desc}",
+		'desc'     => "{DatabasePlugin.desc}",
 		'abstract' => "no",
 		'inherits' => "yes",
Index: /gsdl/trunk/perllib/plugins/HTMLImagePlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/HTMLImagePlugin.pm	(revision 17743)
+++ /gsdl/trunk/perllib/plugins/HTMLImagePlugin.pm	(revision 17744)
@@ -125,25 +125,25 @@
 my $aggressiveness_list = 
     [ { 'name' => "1",
-	'desc' => "{W3ImagePlugin.aggressiveness.1}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.1}" },
       { 'name' => "2",
-	'desc' => "{W3ImagePlugin.aggressiveness.2}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.2}" },
       { 'name' => "3",
-	'desc' => "{W3ImagePlugin.aggressiveness.3}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.3}" },
       { 'name' => "4",
-	'desc' => "{W3ImagePlugin.aggressiveness.4}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.4}" },
       { 'name' => "5",
-	'desc' => "{W3ImagePlugin.aggressiveness.5}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.5}" },
       { 'name' => "6",
-	'desc' => "{W3ImagePlugin.aggressiveness.6}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.6}" },
       { 'name' => "7",
-	'desc' => "{W3ImagePlugin.aggressiveness.7}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.7}" },
       { 'name' => "8",
-	'desc' => "{W3ImagePlugin.aggressiveness.8}" },
+	'desc' => "{HTMLImagePlugin.aggressiveness.8}" },
       { 'name' => "9",
-	'desc' => "{W3ImagePlugin.aggressiveness.9}" } ];
+	'desc' => "{HTMLImagePlugin.aggressiveness.9}" } ];
 
 my $arguments =
     [ { 'name' => "aggressiveness",
-	'desc' => "{W3ImagePlugin.aggressiveness}",
+	'desc' => "{HTMLImagePlugin.aggressiveness}",
 	'type' => "int",
 	'list' => $aggressiveness_list,
@@ -151,73 +151,73 @@
 	'reqd' => "no" },
       { 'name' => "index_pages",
-	'desc' => "{W3ImagePlugin.index_pages}",
+	'desc' => "{HTMLImagePlugin.index_pages}",
 	'type' => "flag",
 	'reqd' => "no" },
       { 'name' => "no_cache_images",
-	'desc' => "{W3ImagePlugin.no_cache_images}",
+	'desc' => "{HTMLImagePlugin.no_cache_images}",
 	'type' => "flag",
 	'reqd' => "no" },
       { 'name' => "min_size",
-	'desc' => "{W3ImagePlugin.min_size}",
+	'desc' => "{HTMLImagePlugin.min_size}",
 	'type' => "int",
 	'deft' => "2000",
 	'reqd' => "no" },
       { 'name' => "min_width",
-	'desc' => "{W3ImagePlugin.min_width}",
+	'desc' => "{HTMLImagePlugin.min_width}",
 	'type' => "int",
 	'deft' => "50",
 	'reqd' => "no" },
       { 'name' => "min_height",
-	'desc' => "{W3ImagePlugin.min_height}",
+	'desc' => "{HTMLImagePlugin.min_height}",
 	'type' => "int",
 	'deft' => "50",
 	'reqd' => "no" },
       { 'name' => "thumb_size",
-	'desc' => "{W3ImagePlugin.thumb_size}",
+	'desc' => "{HTMLImagePlugin.thumb_size}",
 	'type' => "int",
 	'deft' => "100",
 	'reqd' => "no" },
       { 'name' => "convert_params",
-	'desc' => "{W3ImagePlugin.convert_params}",
+	'desc' => "{HTMLImagePlugin.convert_params}",
 	'type' => "string",
 	'deft' => "",
 	'reqd' => "no" },
       { 'name' => "min_near_text",
-	'desc' => "{W3ImagePlugin.min_near_text}",
+	'desc' => "{HTMLImagePlugin.min_near_text}",
 	'type' => "int",
 	'deft' => "10",
 	'reqd' => "no" },
       { 'name' => "max_near_text",
-	'desc' => "{W3ImagePlugin.max_near_text}",
+	'desc' => "{HTMLImagePlugin.max_near_text}",
 	'type' => "int",
 	'deft' => "400",
 	'reqd' => "no" },
       { 'name' => "smallpage_threshold",
-	'desc' => "{W3ImagePlugin.smallpage_threshold}",
+	'desc' => "{HTMLImagePlugin.smallpage_threshold}",
 	'type' => "int",
 	'deft' => "2048",
 	'reqd' => "no" },
       { 'name' => "textrefs_threshold",
-	'desc' => "{W3ImagePlugin.textrefs_threshold}",
+	'desc' => "{HTMLImagePlugin.textrefs_threshold}",
 	'type' => "int",
 	'deft' => "2",
 	'reqd' => "no" },
       { 'name' => "caption_length",
-	'desc' => "{W3ImagePlugin.caption_length}",
+	'desc' => "{HTMLImagePlugin.caption_length}",
 	'type' => "int",
 	'deft' => "80",
 	'reqd' => "no" },
       { 'name' => "neartext_length",
-	'desc' => "{W3ImagePlugin.neartext_length}",
+	'desc' => "{HTMLImagePlugin.neartext_length}",
 	'type' => "int",
 	'deft' => "300",
 	'reqd' => "no" },
       { 'name' => "document_text",
-	'desc' => "{W3ImagePlugin.document_text}",
+	'desc' => "{HTMLImagePlugin.document_text}",
 	'type' => "flag",
 	'reqd' => "no" } ];
 
 my $options = { 'name'     => "HTMLImagePlugin",
-		'desc'     => "{W3ImagePlugin.desc}",
+		'desc'     => "{HTMLImagePlugin.desc}",
 		'abstract' => "no",
 		'inherits' => "yes",
Index: /gsdl/trunk/perllib/plugins/PostScriptPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/PostScriptPlugin.pm	(revision 17743)
+++ /gsdl/trunk/perllib/plugins/PostScriptPlugin.pm	(revision 17744)
@@ -67,15 +67,15 @@
 	'deft' => &get_default_block_exp() },
       { 'name' => "extract_date",
-	'desc' => "{PSPlugin.extract_date}",
+	'desc' => "{PostScriptPlugin.extract_date}",
 	'type' => "flag" },
       { 'name' => "extract_pages",
-	'desc' => "{PSPlugin.extract_pages}",
+	'desc' => "{PostScriptPlugin.extract_pages}",
 	'type' => "flag" },
       { 'name' => "extract_title",
-	'desc' => "{PSPlugin.extract_title}",
+	'desc' => "{PostScriptPlugin.extract_title}",
 	'type' => "flag" } ];
 
 my $options = { 'name'     => "PostScriptPlugin",
-		'desc'     => "{PSPlugin.desc}",
+		'desc'     => "{PostScriptPlugin.desc}",
 		'abstract' => "no",
 		'inherits' => "yes",
Index: /gsdl/trunk/perllib/plugins/PowerPointPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/PowerPointPlugin.pm	(revision 17743)
+++ /gsdl/trunk/perllib/plugins/PowerPointPlugin.pm	(revision 17744)
@@ -61,5 +61,5 @@
 
 my $options = { 'name'     => "PowerPointPlugin",
-		'desc'     => "{PPTPlugin.desc}",
+		'desc'     => "{PowerPointPlugin.desc}",
 		'abstract' => "no",
 		'inherits' => "yes",
@@ -80,5 +80,5 @@
 		       'deft' => "html" },
 		     { 'name' => "windows_scripting",
-		       'desc' => "{PPTPlugin.windows_scripting}",
+		       'desc' => "{PowerPointPlugin.windows_scripting}",
 		       'type' => "flag",
 		       'reqd' => "no" }