Index: /gsdl/trunk/perllib/strings.properties
===================================================================
--- /gsdl/trunk/perllib/strings.properties	(revision 17747)
+++ /gsdl/trunk/perllib/strings.properties	(revision 17748)
@@ -85,5 +85,5 @@
 buildcol.debug:Print output to STDOUT.
 
-buildcol.desc:PERL script used to build a greenstone collection from GA documents.
+buildcol.desc:PERL script used to build a greenstone collection from archive documents.
 
 buildcol.faillog:Fail log filename. This log receives the filenames of any files which fail to be processed.
@@ -236,7 +236,7 @@
 import.complete:Import complete
 
-import.debug:Print imported text to STDOUT (for GA importing)
-
-import.desc:PERL script used to import files into a GA format ready for building.
+import.debug:Print imported text to STDOUT (for GreenstoneXML importing)
+
+import.desc:PERL script used to import files into a format (GreenstoneXML or GreenstoneMETS) ready for building.
 
 import.faillog:Fail log filename. This log receives the filenames of any files which fail to be processed.
@@ -269,9 +269,5 @@
 import.OIDmetadata:Specifies the metadata element that hold's the document's unique identifier, for use with -OIDtype=assigned.
 
-import.saveas:This is to decide the archives format to be generated. The default setting is to GA.
-
-import.saveas.GA:Will generate Greenstone Archive format.
-
-import.saveas.METS:Will generate METS format.
+import.saveas:Format that the archive files should be saved as. 
 
 import.out:Filename or handle to print output status to.
@@ -338,5 +334,5 @@
 export.complete:Export complete
 
-export.debug:Print exported text to STDOUT (for GA exporting)
+export.debug:Print exported text to STDOUT (for GreenstoneXML exporting)
 
 export.desc:PERL script used to export files in a Greenstone collection to another format.
@@ -363,8 +359,7 @@
 export.saveas.FedoraMETS:METS format using the Fedora profile.
 
-export.saveas.GA:Greenstone Archive format
+export.saveas.GreenstoneXML:Greenstone XML Archive format
 
 export.saveas.MARCXML:MARC XML format (an XML version of MARC 21)
-
 
 export.out:Filename or handle to print output status to.
@@ -650,6 +645,4 @@
 # Plugin option descriptions
 #
-AbstractPlugin.desc:A simple base plugin for plugins that don't inherit from BasePlugin.
-
 AcronymExtractor.adding:adding
 
@@ -670,5 +663,5 @@
 AcronymExtractor.markup_acronyms:Add acronym metadata into document text.
 
-ArchivesInfPlugin.desc:Plugin which recurses through an archives.inf file (i.e. the file generated in the archives directory when an import is done), processing each file it finds.
+ArchivesInfPlugin.desc:Plugin which reads through an archives.inf file (i.e. the file generated in the archives directory when an import is done), processing each file it finds.
 
 AutoExtractMetadata.desc: Base plugin that brings together all the extractor functionality from the Extractor plugins.
@@ -744,5 +737,5 @@
 ConvertBinaryFile.convert_to.pagedimg_png:A series of images in PNG format. 
 
-ConvertBinaryFile.desc:This plugin is inherited by such plugins as WordPlugin, PPTPlugin, PSPlugin, RTFPlugin and PDFPlugin. It facilitates the conversion of these document types to either HTML, TEXT or a series of images. It works by dynamically loading an appropriate secondary plugin (HTMLPlugin, StructuredHTMLPlugin, PagedImagePlugin or TextPlugin) based on the plugin argument 'convert_to'. 
+ConvertBinaryFile.desc:This plugin is inherited by such plugins as WordPlugin, PowerPointPlugin, PostScriptPlugin, RTFPlugin and PDFPlugin. It facilitates the conversion of these document types to either HTML, TEXT or a series of images. It works by dynamically loading an appropriate secondary plugin (HTMLPlugin, StructuredHTMLPlugin, PagedImagePlugin or TextPlugin) based on the plugin argument 'convert_to'. 
 
 ConvertBinaryFile.keep_original_filename:Keep the original filename for the associated file, rather than converting to doc.pdf, doc.doc etc.
@@ -770,5 +763,5 @@
 DirectoryPlugin.use_metadata_files:(DEPRECATED - Add MetadataXMLPlugin to the list of plugins instead) Read metadata from metadata XML files.
 
-DBPlugin.desc:A plugin that imports records from a database. This uses perl's DBI module, which includes back-ends for mysql, postgresql, comma separated values (CSV), MS Excel, ODBC, sybase, etc... Extra modules may need to be installed to use this. See <GSDLHOME>/etc/packages/example.dbi for an example config file. 
+DatabasePlugin.desc:A plugin that imports records from a database. This uses perl's DBI module, which includes back-ends for mysql, postgresql, comma separated values (CSV), MS Excel, ODBC, sybase, etc... Extra modules may need to be installed to use this. See <GSDLHOME>/etc/packages/example.dbi for an example config file. 
 
 DSpacePlugin.desc:A plugin that takes a collection of documents exported from DSpace and imports them into Greenstone.
@@ -804,5 +797,5 @@
 FOXPlugin.desc:Plugin to process a Foxbase dbt file. This plugin provides the basic functionality to read in the dbt and dbf files and process each record. This general plugin should be overridden for a particular database to process the appropriate fields in the file.
 
-GAPlugin.desc:Processes Greenstone Archive XML documents. Note that this plugin does no syntax checking (though the XML::Parser module tests for well-formedness). It's assumed that the Greenstone Archive files conform to their DTD.
+GreenstoneXMLPlugin.desc:Processes Greenstone Archive XML documents. Note that this plugin does no syntax checking (though the XML::Parser module tests for well-formedness). It's assumed that the Greenstone Archive files conform to their DTD.
 
 GISExtractor.desc:Helper extractor plugin for extracting placenames from text. Requires GIS extension to Greenstone.
@@ -814,9 +807,48 @@
 GISExtractor.place_list:When extracting placements, include list of placenames at start of the document. Requires GIS extension to Greenstone.
 
-GMLPlugin.desc:Plugin which processes a GML format document. It assumes that gml tags are all in lower-case.
-
 HBPlugin.desc:Plugin which processes an HTML book directory. This plugin is used by the Humanity Library collections and does not handle input encodings other than ascii or extended ascii. This code is kind of ugly and could no doubt be made to run faster, by leaving it in this state I hope to encourage people to make their collections use BookPlugin instead ;-)\n\nUse BookPlugin if creating a new collection and marking up files like the Humanity Library collections. BookPlugin accepts all input encodings but expects the marked up files to be cleaner than those used by the Humanity Library collections
 
 HBPlugin.encoding.iso_8859_1:Latin1 (western languages)
+
+HTMLImagePlugin.aggressiveness:Range of related text extraction techniques to use.
+HTMLImagePlugin.aggressiveness.1:Filename, path, ALT text only.
+HTMLImagePlugin.aggressiveness.2:All of 1, plus caption where available.
+HTMLImagePlugin.aggressiveness.3:All of 2, plus near paragraphs where available.
+HTMLImagePlugin.aggressiveness.4:All of 3, plus previous headers (<h1>, <h2>...) where available.
+HTMLImagePlugin.aggressiveness.5:All of 4, plus textual references where available.
+HTMLImagePlugin.aggressiveness.6:All of 4, plus page metatags (title, keywords, etc).
+HTMLImagePlugin.aggressiveness.7:All of 6, 5 and 4 combined.
+HTMLImagePlugin.aggressiveness.8:All of 7, plus repeat caption, filename, etc (raise ranking of more relevant results).
+HTMLImagePlugin.aggressiveness.9:All of 1, plus full text of source page.
+
+HTMLImagePlugin.caption_length:Maximum length of captions (in characters).
+
+HTMLImagePlugin.convert_params:Additional parameters for ImageMagicK convert on thumbnail creation. For example, '-raise' will give a three dimensional effect to thumbnail images.
+
+HTMLImagePlugin.desc:A plugin for extracting images and associated text from webpages.
+
+HTMLImagePlugin.document_text:Add image text as document:text (otherwise IndexedText metadata field).
+
+HTMLImagePlugin.index_pages:Index the pages along with the images. Otherwise reference the pages at the source URL.
+
+HTMLImagePlugin.max_near_text:Maximum characters near images to extract.
+
+HTMLImagePlugin.min_height:Pixels. Skip images shorter than this.
+
+HTMLImagePlugin.min_near_text:Minimum characters of near text or caption to extract.
+
+HTMLImagePlugin.min_size:Bytes. Skip images smaller than this.
+
+HTMLImagePlugin.min_width:Pixels. Skip images narrower than this.
+
+HTMLImagePlugin.neartext_length:Target length of near text (in characters).
+
+HTMLImagePlugin.no_cache_images:Don't cache images (point to URL of original).
+
+HTMLImagePlugin.smallpage_threshold:Images on pages smaller than this (bytes) will have the page (title, keywords, etc) meta-data added.
+
+HTMLImagePlugin.textrefs_threshold:Threshold for textual references. Lower values mean the algorithm is less strict.
+
+HTMLImagePlugin.thumb_size:Max thumbnail size. Both width and height.
 
 HTMLPlugin.assoc_files:Perl regular expression of file extensions to associate with html documents.
@@ -996,7 +1028,15 @@
 PDFPlugin.zoom:The factor by which to zoom the PDF for output (this is only useful if -complex is set).
 
-PPTPlugin.desc:A plugin for importing Microsoft PowerPoint files.
-
-PPTPlugin.windows_scripting:Use MicroSoft Windows scripting technology (Visual Basic for Applications) to get PPT to convert document to various image types (e.g. JPEG,PNG,GIF) rather than rely on the open source package ppttohtml. 
+PostScriptPlugin.desc:This is a \"poor man's\" ps to text converter. If you are serious, consider using the PRESCRIPT package, which is available for download at http://www.nzdl.org/html/software.html
+
+PostScriptPlugin.extract_date:Extract date from PS header.
+
+PostScriptPlugin.extract_pages:Extract pages from PS header.
+
+PostScriptPlugin.extract_title:Extract title from PS header.
+
+PowerPointPlugin.desc:A plugin for importing Microsoft PowerPoint files.
+
+PowerPointPlugin.windows_scripting:Use MicroSoft Windows scripting technology (Visual Basic for Applications) to get PPT to convert document to various image types (e.g. JPEG,PNG,GIF) rather than rely on the open source package ppttohtml. 
 
 PrintInfo.bad_general_option:The %s plugin uses an incorrect option. Check your collect.cfg configuration file.
@@ -1008,12 +1048,4 @@
 ProCitePlugin.entry_separator:The string used to separate multiple values for single metadata fields in ProCite database records.
 
-PSPlugin.desc:This is a \"poor man's\" ps to text converter. If you are serious, consider using the PRESCRIPT package, which is available for download at http://www.nzdl.org/html/software.html
-
-PSPlugin.extract_date:Extract date from PS header.
-
-PSPlugin.extract_pages:Extract pages from PS header.
-
-PSPlugin.extract_title:Extract title from PS header.
-
 ReadTextFile.could_not_extract_encoding:WARNING: encoding could not be extracted from %s - defaulting to %s
 
@@ -1082,5 +1114,5 @@
 TextPlugin.desc:Creates simple single-level document. Adds Title metadata of first line of text (up to 100 characters long).
 
-TextPlugin.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PSPlugin to remove "Page 1" etc from text used as the title.
+TextPlugin.title_sub:Substitution expression to modify string stored as Title. Used by, for example, PostScriptPlugin to remove "Page 1" etc from text used as the title.
 
 UnknownPlugin.assoc_field:Name of the metadata field that will hold the associated file's name.
@@ -1095,45 +1127,4 @@
 
 UnknownPlugin.srcicon:Specify a macro name (without underscores) to use as srcicon metadata.
-
-W3ImagePlugin.aggressiveness:Range of related text extraction techniques to use.
-W3ImagePlugin.aggressiveness.1:Filename, path, ALT text only.
-W3ImagePlugin.aggressiveness.2:All of 1, plus caption where available.
-W3ImagePlugin.aggressiveness.3:All of 2, plus near paragraphs where available.
-W3ImagePlugin.aggressiveness.4:All of 3, plus previous headers (<h1>, <h2>...) where available.
-W3ImagePlugin.aggressiveness.5:All of 4, plus textual references where available.
-W3ImagePlugin.aggressiveness.6:All of 4, plus page metatags (title, keywords, etc).
-W3ImagePlugin.aggressiveness.7:All of 6, 5 and 4 combined.
-W3ImagePlugin.aggressiveness.8:All of 7, plus repeat caption, filename, etc (raise ranking of more relevant results).
-W3ImagePlugin.aggressiveness.9:All of 1, plus full text of source page.
-
-W3ImagePlugin.caption_length:Maximum length of captions (in characters).
-
-W3ImagePlugin.convert_params:Additional parameters for ImageMagicK convert on thumbnail creation. For example, '-raise' will give a three dimensional effect to thumbnail images.
-
-W3ImagePlugin.desc:A plugin for extracting images and associated text from webpages.
-
-W3ImagePlugin.document_text:Add image text as document:text (otherwise IndexedText metadata field).
-
-W3ImagePlugin.index_pages:Index the pages along with the images. Otherwise reference the pages at the source URL.
-
-W3ImagePlugin.max_near_text:Maximum characters near images to extract.
-
-W3ImagePlugin.min_height:Pixels. Skip images shorter than this.
-
-W3ImagePlugin.min_near_text:Minimum characters of near text or caption to extract.
-
-W3ImagePlugin.min_size:Bytes. Skip images smaller than this.
-
-W3ImagePlugin.min_width:Pixels. Skip images narrower than this.
-
-W3ImagePlugin.neartext_length:Target length of near text (in characters).
-
-W3ImagePlugin.no_cache_images:Don't cache images (point to URL of original).
-
-W3ImagePlugin.smallpage_threshold:Images on pages smaller than this (bytes) will have the page (title, keywords, etc) meta-data added.
-
-W3ImagePlugin.textrefs_threshold:Threshold for textual references. Lower values mean the algorithm is less strict.
-
-W3ImagePlugin.thumb_size:Max thumbnail size. Both width and height.
 
 WordPlugin.desc:A plugin for importing Microsoft Word documents.
@@ -1224,5 +1215,5 @@
 FedoraMETSPlugout.fedora_namespace:The prefix used in Fedora for process ids (PIDS) e.g. greenstone:HASH0122efe4a2c58d0
 
-GAPlugout.desc:Greenstone Archive format.
+GreenstoneXMLPlugout.desc:Greenstone XML Archive format.
 
 GreenstoneMETSPlugout.desc:METS format using the Greenstone profile.