Index: release-kits/shared/language-strings/LanguagePack_fr.properties
===================================================================
--- release-kits/shared/language-strings/LanguagePack_fr.properties	(revision 17767)
+++ release-kits/shared/language-strings/LanguagePack_fr.properties	(revision 17767)
@@ -0,0 +1,187 @@
+### Language page ###
+page.language-selector.displayText = Langue
+language-selector-explanation.displayText = Veuillez sélectionner la langue de linstallation (Note: Cet installeur na pas encore été totalement traduit dans toutes ces langues pour linstant).
+
+
+### Intro Page ###
+page.intro.displayText = Greenstone @version@ installer
+welcome-message.displayText = Greenstone@version.major@ est un programme qui permet la création et la diffusion de bibliothèques numériques.\n\nIl est recommandé de désinstaller les versions précédentes de Greenstone@version.major@ avant de poursuivre avec cette installation.
+
+## License page ###
+page.license.displayText = Licence du Logiciel
+
+
+### Destination page ###
+page.destination.displayText = Répertoire d'Installation 
+installDir.displayText = Veuillez sélectionner un répertoire d'installation
+
+
+### InstallShield install detected page ###
+page.dontBudge.displayText = Ancienne version détectée
+is-install-detected.displayText = Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a été détectée dans le répertoire sélectionné. L'installation ne peut pas continuer dans le répertoire sélectionné pour l'installation.\n\nIl est vivement recommandé de quitter cet installeur, désinstaller l'ancienne version de Greenstone, puis redémarrez cette installation. Autrement, vous pouvez retourner sur la page précédente et sélectionner un répertoire d'installation différent.
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+page.selector.displayText = Composants
+choose-components.displayText = Veuillez choisir les composants que vous souhaitez installer
+
+Looking_For_Previous_Installation.displayText = Recherche l'existence dune installation précédente 
+Looking_For_Previous_Installation.explanatoryText = S'il s'agit d'une réinstallation, charge quelques propriétés de l'installation existante afin d'aider au processus de réinstallation.
+
+Installing_Core_System.displayText = Composant de base
+Installing_Core_System.explanatoryText = \
+<html> \
+Ceci est le système central de Greenstone@version.major@. Il s'agit dun composant obligatoire. \
+</html>
+
+Installing_Source_Code_Core.displayText = Code Source du Noyau
+Installing_Source_Code_Core.explanatoryText = \
+<html> \
+Ceci est le code source du noyau de Greenstone@version.major@. Ce composant inclue tout les fichiers accompagnant le code source général. \
+</html>
+
+Installing_Source_Code.displayText = Code Source Général
+Installing_Source_Code.explanatoryText = \
+<html> \
+Installez le code source général si vous souhaitez compiler Greenstone@version.major@ par vous même, si vous souhaitez y apporter des modifications, <br> \
+ou si vous souhaitez simplement savoir comment tout fonctionne. \
+</html>
+
+Installing_ImageMagick.displayText = ImageMagick avec JPEG2000 (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText = \
+<html> \
+Greenstone utilise ImageMagick pour gérer les fichiers image. La version d'ImageMagick inclue dans cet installeur ajoute le support du format d'image JPEG2000.<br> \
+Si vous avez ImageMagick déjà installé sur votre ordinateur,<br> \
+ou si vous ne souhaitez pas inclure d'images dans vos collections Greenstone,<br> \
+alors vous pouvez choisir de ne pas installer ImageMagick. \
+</html>
+
+Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText = \
+<html> \
+Greenstone utilise GhostScript pour gérer les fichiers PDF et PostScript.<br> \
+Si vous avez Ghostscript déjà installé sur votre ordinateur, ou si vous ne souhaitez pas inclure ce type de fichiers dans vos collections Greenstone,<br> \
+alors vous pouvez choisir de ne pas installer Ghostscript. \
+</html>
+
+Installing_Start_Menu_Shortcuts.displayText = Raccourcis du Menu Démarrer
+Installing_Start_Menu_Shortcuts.explanatoryText = Crée des raccourcis pour Greenstone@version.major@ dans votre menu Démarrer
+
+Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText = \
+<html> \
+Greenstone3 nécessite le serveur web Apache Tomcat afin d'héberger vos bibliothèques numériques<br> \
+sur Internet. Si vous avez une installation existante de Tomcat, vous pouvez l'utiliser<br> \
+(avec quelques changements de configuration). Dans ce cas vous pouvez choisir de ne pas installer ce composant. \
+</html>
+
+Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText = \
+<html> \
+Greenstone3 nécessite Apache Ant pour démarrer ou arrêter le serveur web Tomcat, pour recompiler <br> \
+le code source, et pour réaliser quelques tâches de maintainance. Si Ant est déjà installé, <br> \
+vous pouvez alors choisir de ne pas installer ce composant. \
+</html>
+
+### Admin password page
+page.admin-password.displayText = Veuillez créer un mot de passe Administrateur
+admin.password.displayText = Mot de passe Admin
+admin-password-expl.displayText = Afin d'accéder à certaines parties de l'interface de Greenstone vous avez besoin d'un mot de passe. Un utilisateur avec le nom 'admin' sera créé avec le mot de passe que vous aurez choisi. Ce mot de passe doit contenir entre 3 et 8 caractères.
+
+### Tomcat config page
+page.tomcat-config.displayText = Configuration d'Apache Tomcat
+tomcat-config-explanation1.displayText = Greenstone3 nécessite le serveur web Apache Tomcat afin d'héberger vos bibliothèques numériques.
+tomcat-config-explanation2.displayText = Vous pouvez soit configurer Tomcat ici, soit éditer le fichier build.properties qui se situe dans le répertoire d'installation de Greenstone3 (${installDir}).
+tomcat.server.displayText = Nom du Serveur Tomcat
+tomcat-server.explanatoryText = Veuillez entrer le nom du serveur sur lequel la bibliothèque sera hébergée. Si vous ne le connaissez pas, alors laissez le nom par défaut (localhost).
+tomcat.port.explanatoryText = Veuillez choisir les ports que Tomcat devra utiliser. Il est généralement recommandé laisser les valeurs par défaut. Si vous avez déjà des services qui utilises ces ports, veuillez alors en choisir des libres.
+tomcat.port.displayText = Port d'écoute
+tomcat.shutdown.port.displayText = Port de fermeture
+
+### Progress page
+page.progress.displayText = Progression de l'installation
+
+### Uninstaller Strings
+
+uninstaller.greenstone.uninstaller:Désinstallation de Greenstone 
+uninstaller.cancel:Annuler
+uninstaller.uninstall:Désinstaller
+uninstaller.finish:Finir
+uninstaller.error:Erreur
+uninstaller.confirmation:Confirmation
+uninstaller.continue:Continuer
+uninstaller.complete:Complet
+uninstaller.skip:Ignorer
+uninstaller.skip.all:Toujours Ignorer
+uninstaller.retry:Réessayer
+uninstaller.readonly:Lecture seule
+
+uninstaller.will.uninstall.from:Ceci va désinstaller l'installation de Greenstone suivante
+uninstaller.uninstall.options:Options de Désinstallation:
+uninstaller.keep.collections:Garder les Collections
+uninstaller.are.you.sure:Etes vous certain(e) de vouloir Greenstone ?
+uninstaller.are.you.sure.collections:Vous avez choisis de désinstaller vos collections.\nveuillez sauvegarder vos collections si vous souhaitez les conserver avant de continuer.
+uninstaller.failed.to.figure.cd:Le répertoire courant n'a pas été détecté
+uninstaller.cancelled:Désinstallation annulée
+uninstaller.finished: Désinstallation Terminée
+uninstaller.deleting:Supprime {file}
+
+uninstaller.info.skipping:INFO: Ignore {file}
+uninstaller.info.no.startmenu:INFO: Aucun chemin vers le menu démarré na été détecté. Par conséquent, les entrées du menu démarrer ne seront pas désinstallées
+uninstaller.warning.readonly:ATTENTION: Le fichier {file} est en lecture seule
+uninstaller.warning.couldnt.delete: ATTENTION: le fichier {file} na pas été supprimé
+uninstaller.warning.nonexistent: ATTENTION: le fichier {file} n'existe pas
+uninstaller.error.nonexistent:ERREUR: le fichier {file} n'existe pas
+uninstaller.error.couldnt.find.install.props:ERREUR: Impossible de trouver le fichier 'installation.properties' ou 'etc/installation.properties'.\nSoit il ne s'agit pas d'une installation de Greenstone valide, soit l'installation a été corrompue.\nLa désinstallation ne peut pas se poursuivre.
+uninstaller.warning.couldnt.create.flagfile:ATTENTION: Impossible de créer le fichier marqueur. Vous devrez supprimer les derniers fichiers dans le répertoire d'installation manuellement.
+
+### Ant-Installer Core strings
+
+dirNotExistCreate=Ce répertoire n'existe pas, voulez-vous le créer ?
+dirNotExist=Ce répertoire n'existe pas
+fileNotExist=Ce fichier n'existe pas 
+dirNotCreated=Ce répertoire ne peut pas être créé a cet emplacement
+canNotCreateFile=Impossible de créer le fichier
+appRootInvalid=Ce répertoire n'est pas la racine de cette application
+selectFile=Sélectionnez le Fichier
+selectFolder=Sélectionnez le Répertoire
+browseDotDotDot=Parcourir...
+notValidSelection=Ceci n'est pas une sélection valide
+showDetails=Montrer les détails
+
+#Default loading
+promptLoadDefaults=Configuration d'installation trouvée. Charger cette présente configuration?
+promptMissingDefaultPassword=Un mot de passe n'a pas été trouvé, il a peut être été omis pour des raisons de sécurité. Il sera remis à sa valeur par défaut. 
+
+click=Cliquez
+toContinue=pour continuer
+failed=Interrompue
+exit=Quitter
+complete=Complet
+finished=Terminée
+extracting=Décompression...
+installFinished=Installation Terminée
+install-cancelled=Installation Annulée
+running=
+
+backButton=Précédent
+cancelButton=Annuler
+nextButton=Suivant
+finishButtonText = Installer
+
+output=Information de sortie
+errors=Erreurs
+notCorrectFormat=Ce champ n'est pas dans un format valide 
+notCorrectPasswordFormat=Ce mot de passe n'est pas valide
+passwordsDoNotMatch=Les mots de passe ne correspondent pas
+installationFailed=Install Interrompue
+propertiesVersionMismatch=Quelques options sont manquantes depuis la version précédente et doivent être entrées manuellement, continuer ?
+
+Finished=Terminé
+Failed=Installation Interrompue, veuillez voir les messages d'erreur
+ant.failure=Le lancement de Ant a pose problème  veuillez examiner le fichier log pour plus de détails
+
+license.next.text=Accepter
+license.cancel.text=Refuser