Index: release-kits/mark3/ant-scripts/create-components.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-components.xml	(revision 17742)
+++ release-kits/mark3/ant-scripts/create-components.xml	(revision 17786)
@@ -13,20 +13,20 @@
 	<target name="prepare-components">
 		<antcall target="prepare-core-component" />
-		<antcall target="prepare-sourcecode-component" />
 		<antcall target="prepare-ant-component" />
 		<antcall target="prepare-tomcat-component" />
-		<antcall target="prepare-sourcecode-core-component" />
 		<antcall target="prepare-imagemagick-component" />
 		<antcall target="prepare-ghostscript-component" />
+
+		<!--<antcall target="prepare-sourcecode-component" />-->
 	</target>
 
 	<target name="compress-components">
 		<antcall target="compress-core-component" />
-		<antcall target="compress-sourcecode-component" />
 		<antcall target="compress-ant-component" />
 		<antcall target="compress-tomcat-component" />
-		<antcall target="compress-sourcecode-core-component" />
 		<antcall target="compress-imagemagick-component" />
 		<antcall target="compress-ghostscript-component" />
+
+		<!--<antcall target="compress-sourcecode-component" />-->
 	</target>
 
@@ -74,31 +74,4 @@
 	</target>
 	
-	<!-- sourcecode-core -->
-	<target name="prepare-sourcecode-core-component">
-		<delete dir="components/tmp/sourcecode-core"/>
-		<mkdir dir="components/tmp/sourcecode-core"/>
-
-		<copy todir="components/tmp/sourcecode-core" overwrite="true">
-			<fileset dir="distribution/source">
-				<include name="gli/**/*"/>
-				<include name="docs/**/*"/>
-				<include name="resources/**/*"/>
-				<include name="web/**/*"/>
-				<include name="gs2build/etc/**/*"/>
-				<include name="gs2build/setup.bash"/>
-				<include name="build.xml"/>
-				<include name="build.properties"/>
-				<include name="*.sh"/>
-				<include name="*.txt"/>
-			</fileset>
-		</copy>
-		<zip destfile="components/sourcecode-core.comp" basedir="components/tmp/sourcecode-core" compress="false" includes="**/*"/>
-	</target>
-	
-	<target name="compress-sourcecode-core-component">
-		<sevenzip task="encode" input="components/sourcecode-core.comp" output="components/sourcecode-core.lzma" dictionnary="26"/>
-	</target>
-
-
 	<!-- sourcecode -->
 	<target name="prepare-sourcecode-component">
Index: release-kits/mark3/ant-scripts/create-distribution.xml
===================================================================
--- release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17742)
+++ release-kits/mark3/ant-scripts/create-distribution.xml	(revision 17786)
@@ -9,6 +9,4 @@
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distribution/greenstone3/gli"/></antcall>
 		<antcall target="insert-user-manual"/>
-
-		<antcall target="copy-web-to-source-greenstone3" /> <!-- from gs3-targets -->
 
 		<ant target="create-distribution-1" antfile="${mark3.home}/ant-scripts/operations-on-gs3home.xml" dir="distribution/greenstone3" inheritAll="false">
Index: release-kits/mark3/installer/antinstall-config.xml
===================================================================
--- release-kits/mark3/installer/antinstall-config.xml	(revision 17742)
+++ release-kits/mark3/installer/antinstall-config.xml	(revision 17786)
@@ -42,8 +42,8 @@
 	</page>
 
+	<!-- start binary release -->
 	<page type="input" name="selector" displayText="">
 		<comment name="choose-components"/>
 
-		<!-- start binary release core -->
 		<target
 			target="Installing Core System"
@@ -52,14 +52,4 @@
 			defaultValue="true"
 			force="true"/>
-		<!-- end binary release core -->
-
-		<!-- start source release core -->
-		<target
-			target="Installing Source Code Core"
-			diskRequirement="@component.size.sourcecode-core@"
-			displayText=""
-			defaultValue="true"
-			/>
-		<!-- end source release core -->
 
 		<!-- start bundled components -->
@@ -77,13 +67,6 @@
 		<!-- end bundled components -->
 
-		<!-- start sourcecode -->
-		<target
-			target="Installing Source Code"
-			diskRequirement="@component.size.sourcecode@"
-			defaultValue="false"
-			displayText=""/>
-		<!-- end sourcecode -->
-
 	</page>
+	<!-- end binary release -->
 
 	<!-- start bundled components -->
Index: release-kits/mark3/installer/build.xml
===================================================================
--- release-kits/mark3/installer/build.xml	(revision 17742)
+++ release-kits/mark3/installer/build.xml	(revision 17786)
@@ -67,41 +67,4 @@
 	</target>
 
-	<!-- sourcecode core system -->
-	<target name="Installing Source Code Core">
-
-		<echo>Installing Source Code Core</echo>
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode-core.lzma"/></patternset></unzip>
-		<sevenzip task="decode" input="${basedir}/sourcecode-core.lzma" output="${basedir}/sourcecode-core.comp"/>
-		<delete file="sourcecode-core.lzma"/>
-		<unzip src="${basedir}/sourcecode-core.comp" dest="${installDir}"/>
-		<delete file="sourcecode-core.comp"/>
-
-		<echo>Setting up global properties</echo>
-		<copy file="${installDir}/resources/java/global.properties.in" tofile="${installDir}/web/WEB-INF/classes/global.properties" overwrite="true"/>
-		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="(.*)@gsdl3home@(.*)" replacement="$1${installDir}/web$2" />
-		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="(.*)@tomcat.server@(.*)" replacement="$1localhost$2" />
-		<rsr file="${installDir}/web/WEB-INF/classes/global.properties" pattern="(.*)@tomcat.port@(.*)" replacement="$1${tomcat.port}$2" />
-
-		<echo>Setting up log4j properties</echo>
-		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
-		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="(.*)@gsdl3home@(.*)" replacement="$1${installDir}/web$2" />
-
-		<echo>Creating installation properties file</echo>
-		<echo file="${installDir}/installation.properties">#this file is just a placeholder for now</echo>
-
-
-	</target>
-
-
-	<!-- Source -->
-	<target name="Installing Source Code" depends="">
-		<echo>Installing Source Code</echo>
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="sourcecode.lzma"/></patternset></unzip>
-		<sevenzip task="decode" input="${basedir}/sourcecode.lzma" output="${basedir}/sourcecode.comp"/>
-		<delete file="sourcecode.lzma"/>
-		<unzip src="${basedir}/sourcecode.comp" dest="${installDir}"/>
-		<delete file="sourcecode.comp"/>
-	</target>
-
 	<target name="Installing Tomcat">
 		<echo message="Installing Tomcat (packages/tomcat)"/>