Index: release-kits/shared/language-strings/LanguagePack_es.properties
===================================================================
--- release-kits/shared/language-strings/LanguagePack_es.properties	(revision 17808)
+++ release-kits/shared/language-strings/LanguagePack_es.properties	(revision 17809)
@@ -1,46 +1,189 @@
-dirNotExistCreate=El directorio no existe, quieres crearlo?
-dirNotExist=El directorio no existe.
-fileNotExist=El fichero no existe.
-dirNotCreated=El directorio no se ha creado.
-canNotCreateFile=No se puede crear el fichero.
-appRootInvalid=Este directorio no parece ser la raiz de la aplicaciòn.
-selectFile=Seleccionar fichero.
-selectFolder=Seleccionar carpeta.
-notValidSelection=No es una opciòn vàlida.
-# browseDotDotDot=
-showDetails=Enseñar detalles.
+﻿### Language page ###
+page.language-selector.displayText = Idioma
+language-selector-explanation.displayText = Por favor, elija su idioma preferido: (Nota: Este instalador no ha sido completamente traducido a todos los idiomas aún.)
+
+
+### Intro Page ###
+page.intro.displayText = Instalador Greenstone @version@
+welcome-message.displayText = Greenstone@version.major@ es un software para construir y compartir bibliotecas digitales.\n\nSe recomienda desinstalar cualquier versión previa a Greenstone@version.major@ antes de ejecutar este instalador.
+
+## License page ###
+page.license.displayText = Licencia de Software
+
+
+### Destination page ###
+page.destination.displayText = Carpeta de Instalación
+installDir.displayText = Seleccione una carpeta para la instalación
+
+
+### InstallShield install detected page ###
+page.dontBudge.displayText = Versión anterior detectada
+is-install-detected.displayText = Fue detectada una instalación Greenstone2 anterior a la version 2.81, o una instalación de Greenstone3 anterior a la version 3.04 en la carpeta de instalación. No puede procederse con la instalación en la carpeta seleccionada.\n\nPor favor, salga del Instalador, desinstale la versión anterior y vuelva a ejecutar este programa (recomendado). Alternativamente, puede ir hacia atrás y seleccionar una carpeta de destino diferente.
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+page.selector.displayText = Componentes
+choose-components.displayText = Por favor, elija los componentes que desea instalar
+Looking_For_Previous_Installation.displayText = Buscando instalaciones previas
+Looking_For_Previous_Installation.explanatoryText = Si esta es una reinstalación, cargue algunas propiedades de la instalación existente para ayudar al proceso de instalación.
+
+Installing_Core_System.displayText = Sistema principal
+Installing_Core_System.explanatoryText = \
+<html> \
+Este es el módulo principal de Greenstone@version.major@. Es un componente requerido. \
+</html>
+
+Installing_Source_Code_Core.displayText = Módulo de Código fuente
+Installing_Source_Code_Core.explanatoryText = \
+<html> \
+Este es el sistema central de Greenstone@version.major@ para las versiones fuente. <br>\n
+Incluye archivos de soporte para acompañar al código fuente. \
+</html>
+
+Installing_Source_Code.displayText = Código fuente
+Installing_Source_Code.explanatoryText = \
+<html> \
+Instale el código fuente para el caso en que se quiera compilar Greenstone@version.major@, <br>\n
+hacer modificaciones a la copia de Greenstone@version.major@, o si solo quiere ver como funciona. \
+</html>
+
+Installing_ImageMagick.displayText = ImageMagick con JPEG2000 (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText = \
+<html> \
+Greenstone usa ImageMagick para procesar imágenes.<br>\n
+Esta versión empaquetada de ImageMagick incluye soporte para el formato JPEG2000.<br>\
+Si ya tiene instalado ImageMagick en su computadora, o si no desea <br>\
+incluir imágenes en las colecciones de Greenstone, entonces puede optar por no <br>\
+instalar ImageMagick. \
+</html>
+
+Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText = \
+<html> \
+Greenstone utiliza GhostScript para procesar archivos PDF y PostScript.<br> \
+Si ya tiene instalado Ghostscript, o si no va a incorporar archivos <br>\
+PDF o PostScript a las colecciones de  Greenstone, entonces puede optar por no instalarlo. \
+</html>
+
+Installing_Start_Menu_Shortcuts.displayText = Accesos directos del Menú Inicio
+Installing_Start_Menu_Shortcuts.explanatoryText = Crear accesos a Greenstone@version.major@ en el menú Inicio
+
+Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText = \
+<html> \
+Greenstone3 requiere Apache Tomcat para servir a las colecciones digitales <br> \
+en la web. Si ya tiene instalado Tomcat puede usar dicha instalación (con algunos cambios requeridos), <br> \
+por lo cual puede optar por no instalar este componente. \
+</html>
+
+Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText = \
+<html> \
+Greenstone3 requiere Apache Ant para iniciar y detener al servidor web Tomcat, para recompilar el código fuente <br> \ y para ejecutar algunas tareas de mantenimiento. Si ya tiene Ant instalado, <br> \
+entonces puede optar por no seleccionar este componente. \
+</html>
+
+### Admin password page
+page.admin-password.displayText = Por favor, configure la clave de Admin
+admin.password.displayText = Clave de Admin
+admin-password-expl.displayText = Para poder acceder a determinadas partes de la interfaz de Greenstone es necesaria una clave. Se creará un usuario con el nombre 'admin' con la clave que haya elegido. La clave debe tener entre 3 y 8 caracteres de longitud.
+
+### Tomcat config page
+page.tomcat-config.displayText = Configuración de Apache Tomcat
+tomcat-config-explanation1.displayText = Greenstone3 usa Apache Tomcat para compartir las bibliotecas digitales.
+tomcat-config-explanation2.displayText = Puede configurar Tomcat aquí o editando el archivo build.properties en la carpeta de inicio de Greenstone3 (${installDir}).
+tomcat.server.displayText = Servidor Tomcat
+tomcat-server.explanatoryText = Por favor, ingrese el nombre del servidor donde estará la biblioteca. Si no está seguro, acepte el valor por defecto (localhost).
+tomcat.port.explanatoryText = Seleccione los puertos que debe usar Tomcat. Por lo general, lo más seguro es aceptar los valores por defecto. Si ya estuviera ejecutando otros servicios en los puertos por defecto, entonces seleccione otros que estén libres. 
+tomcat.port.displayText = Puerto de Tomcat
+tomcat.shutdown.port.displayText = Puerto para shutdown de Tomcat
+
+### Progress page
+page.progress.displayText = Progreso de la instalación
+
+### Uninstaller Strings
+
+uninstaller.greenstone.uninstaller:Desinstalador de Greenstone
+uninstaller.cancel:Cancelar
+uninstaller.uninstall:Desinstalar
+uninstaller.finish:Finalizar
+uninstaller.error:Error
+uninstaller.confirmation:Confirmación
+uninstaller.continue:Continuar
+uninstaller.complete:Completar
+uninstaller.skip:Saltear
+uninstaller.skip.all:Saltear todo
+uninstaller.retry:Reintentar
+uninstaller.readonly:Sólo lectura
+
+uninstaller.will.uninstall.from:Esto desinstalará Greenstone de
+uninstaller.uninstall.options:Opciones de desinstalación:
+uninstaller.keep.collections:Mantener las colecciones
+uninstaller.are.you.sure:Está seguro de que quiere desinstalar Greenstone?
+uninstaller.are.you.sure.collections:Ha seleccionado borrar todas las colecciones.\nPor favor, haga una copia de respaldo de cualquier colección que desee mantener antes de continuar
+uninstaller.failed.to.figure.cd:Fallo al determinar la carpeta actual
+uninstaller.cancelled:Desinstalación cancelada
+uninstaller.finished:Desinstalación finalizada
+uninstaller.deleting:Borrando {file} del disco
+
+uninstaller.info.skipping:INFO: Salteando {file}
+uninstaller.info.no.startmenu:INFO: No se ha encontrado la ruta al Menú Inicio. Borrar el grupo de programas del Menú Inicio no será posible desde esta desinstalación
+uninstaller.warning.readonly:AVISO: {file} parece ser de solo lectura
+uninstaller.warning.couldnt.delete:AVISO: {file} no se puede borrar
+uninstaller.warning.nonexistent:AVISO: {file} no existe
+uninstaller.error.nonexistent:ERROR: {file} no existe
+uninstaller.error.couldnt.find.install.props:ERROR: No se puede encontrar el archivo 'installation.properties' o 'etc/installation.properties'.\nEsta no es una instalación válida de Greenstone o la instalación se ha dañado.\nLa desinstalación no puede continuar
+uninstaller.warning.couldnt.create.flagfile:AVISO: No se puede crear el archivo de marca. Tendrá que borrar manualmente el JRE y los archivos de desinstalación
+
+
+### Ant-Installer Core strings
+
+dirNotExistCreate=La carpeta no existe, quiere crearla?
+dirNotExist=La carpeta no existe
+fileNotExist=El archivo no existe
+dirNotCreated=No se puede crear la carpeta
+canNotCreateFile=No se puede crear el archivo
+appRootInvalid=Esta carpeta no parece ser la raíz de la aplicación
+selectFile=Seleccione el archivo
+selectFolder=Seleccione la carpeta
+browseDotDotDot=Examinar...
+notValidSelection=No es una selección válida
+showDetails=Ver detalles
 
 #Default loading
-promptLoadDefaults=Configuracion de instalaciòn encontrada. Carga configuraciòn?
-promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
+promptLoadDefaults=Se encontró la configuración de una instalación. Quiere cargar la configuración existente?
+promptMissingDefaultPassword=No se ha encontrado una clave, pudo haber sido omitida por razones de seguridad. Se cargará el valor por defecto.
 
 click=Click
-toContinue=Para continuar
-failed= Intento Fallido
+toContinue=para continuar
+failed=Falló
 exit=Salir
-complete=Completar
-finished=Terminado
+complete=Completada
+finished=Finalizada
 extracting=Extrayendo...
-installFinished=Se ha terminado la instalaciòn
-# install-cancelled=
-running=Ejecutando:
+installFinished=Instalación finalizada
+install-cancelled=Instalación cancelada
+running=
 
-backButton=Atras
+backButton=Atrás
 cancelButton=Cancelar
-nextButton=Proxima
-# finishButtonText = 
+nextButton=Siguiente
+finishButtonText = Instalar
 
 output=Salida
 errors=Errores
-notCorrectFormat=El fichero no tiene un formato adecuado.
-notCorrectPasswordFormat=El fichero no tiene un formato adecuado.
-passwordsDoNotMatch=Las contraseñas tienen que ser iguales
-installationFailed=Instalaciòn fallado
-propertiesVersionMismatch=Faltan datos del versión anterior, continuar y entrar los manualmente?
+notCorrectFormat=El campo no es del tipo correcto
+notCorrectPasswordFormat=La clave no es del tipo correcto
+passwordsDoNotMatch=Las claves no coinciden
+installationFailed=Falló la instalación
+propertiesVersionMismatch=Algunas opciones no existen en la versión anterior y deben ingresarse manualmente, continuar?
 
-Finished=Terminado
-Failed=Intento fallido, enseñar mensajes de error
-ant.failure=Ant run failed - examine the error logs for details
+Finished=Finalizada
+Failed=Falló, ver los mensajes de error
+ant.failure=Falló la ejecución de Ant - examine los archivos de log de errores para más detalles
 
 license.next.text=Aceptar
-license.cancel.text=Cancellar
+license.cancel.text=Rechazar
+